| globjects 1.0.0.000000000000 Strict OpenGL objects wrapper.

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
globjects::StringSourceDecorator Class Reference

`#include <globjects/include/globjects/base/StringSourceDecorator.h>`

Inheritance diagram for globjects::StringSourceDecorator:

## Public Member Functions
| StringSourceDecorator (globjects::AbstractStringSource *source)
virtual void | update ()
Public Member Functions inherited from globjects::AbstractStringSource
virtual std::string | string () const =0
virtual std::vector< std::string > | strings () const
std::vector< const AbstractStringSource * > | flatten () const
virtual void | flattenInto (std::vector< const AbstractStringSource *> &vector) const
virtual std::string | shortInfo () const
Public Member Functions inherited from globjects::Referenced
| Referenced ()
void | ref () const
void | unref () const
int | refCounter () const
Public Member Functions inherited from globjects::HeapOnly
| HeapOnly ()
void | destroy () const
Public Member Functions inherited from globjects::Changeable
void | changed () const
void | registerListener (ChangeListener *listener)
void | deregisterListener (ChangeListener *listener)

## Protected Member Functions
virtual | ~StringSourceDecorator ()
virtual void | notifyChanged (const Changeable *changeable) override
Protected Member Functions inherited from globjects::Referenced
virtual | ~Referenced ()
Protected Member Functions inherited from globjects::HeapOnly
virtual | ~HeapOnly ()
Protected Member Functions inherited from globjects::ChangeListener
virtual | ~ChangeListener ()

## Protected Attributes
globjects::ref_ptr< globjects::AbstractStringSource > | m_internal

## Constructor & Destructor Documentation

## ◆ StringSourceDecorator()

globjects::StringSourceDecorator::StringSourceDecorator | ( | globjects::AbstractStringSource * | source | ) |

## ◆ ~StringSourceDecorator()

virtual globjects::StringSourceDecorator::~StringSourceDecorator | ( |  | ) |
| protected virtual

## Member Function Documentation

## ◆ update()

virtual void globjects::StringSourceDecorator::update | ( |  | ) |
| virtual

Reimplemented in globjects::StringTemplate.

## ◆ notifyChanged()

virtual void globjects::StringSourceDecorator::notifyChanged | ( | const Changeable * | changeable | ) |
| override protected virtual

Reimplemented from globjects::ChangeListener.

## Member Data Documentation

## ◆ m_internal

globjects::ref_ptr<globjects::AbstractStringSource> globjects::StringSourceDecorator::m_internal
| protected

The documentation for this class was generated from the following file:

- StringSourceDecorator.h